Hi here!

I try to use a raspi 3 running under Raspbian Buster 10.0 to encode an NDI stream.

I download and install the 3.8 NDI SDK.
I compile ffmpeg 4.1.3 with
Code:
./configure --extra-cflags="-I/usr/include/ndi" --enable-gpl --enable-nonfree --enable-libndi_newtek --enable-libx264 --enable-omx --enable-omx-rpi --enable-libx265 --enable-mmal
List NDI source works perfectly :
Code:
./ffmpeg -f libndi_newtek -find_sources 1 -i dummy
ffmpeg version n4.1.3 Copyright (c) 2000-2019 the FFmpeg developers
  built with gcc 8 (Raspbian 8.3.0-6+rpi1)
  configuration: --extra-cflags=-I/usr/include/ndi --enable-gpl --enable-nonfree --enable-libndi_newtek --enable-libx264 --enable-omx --enable-omx-rpi --enable-libx265 --enable-mmal
  libavutil      56. 22.100 / 56. 22.100
  libavcodec     58. 35.100 / 58. 35.100
  libavformat    58. 20.100 / 58. 20.100
  libavdevice    58.  5.100 / 58.  5.100
  libavfilter     7. 40.101 /  7. 40.101
  libswscale      5.  3.100 /  5.  3.100
  libswresample   3.  3.100 /  3.  3.100
  libpostproc    55.  3.100 / 55.  3.100
[libndi_newtek @ 0x1b58930] Found 1 NDI sources:
[libndi_newtek @ 0x1b58930]     'ENDOR (OBS)'   '192.168.0.1:5961'
dummy: Immediate exit requested
But when I want to access the NDI stream, it fails with a
Code:
Bus error
.
Code:
./ffprobe  -f libndi_newtek -i "ENDOR (OBS)"
ffprobe version n4.1.3 Copyright (c) 2007-2019 the FFmpeg developers
  built with gcc 8 (Raspbian 8.3.0-6+rpi1)
  configuration: --extra-cflags=-I/usr/include/ndi --enable-gpl --enable-nonfree --enable-libndi_newtek --enable-libx264 --enable-omx --enable-omx-rpi --enable-libx265 --enable-mmal
  libavutil      56. 22.100 / 56. 22.100
  libavcodec     58. 35.100 / 58. 35.100
  libavformat    58. 20.100 / 58. 20.100
  libavdevice    58.  5.100 / 58.  5.100
  libavfilter     7. 40.101 /  7. 40.101
  libswscale      5.  3.100 /  5.  3.100
  libswresample   3.  3.100 /  3.  3.100
  libpostproc    55.  3.100 / 55.  3.100
Bus error
Code:
./ffmpeg -f libndi_newtek -i "ENDOR (OBS)" -c:av copy foo.ts
ffmpeg version n4.1.3 Copyright (c) 2000-2019 the FFmpeg developers
  built with gcc 8 (Raspbian 8.3.0-6+rpi1)
  configuration: --extra-cflags=-I/usr/include/ndi --enable-gpl --enable-nonfree --enable-libndi_newtek --enable-libx264 --enable-omx --enable-omx-rpi --enable-libx265 --enable-mmal
  libavutil      56. 22.100 / 56. 22.100
  libavcodec     58. 35.100 / 58. 35.100
  libavformat    58. 20.100 / 58. 20.100
  libavdevice    58.  5.100 / 58.  5.100
  libavfilter     7. 40.101 /  7. 40.101
  libswscale      5.  3.100 /  5.  3.100
  libswresample   3.  3.100 /  3.  3.100
  libpostproc    55.  3.100 / 55.  3.100
Bus error
I see some (quite old) posts here saying NDI receving is currently not supported on raspi.
So, what the NDI status on this hardware?